--- chan_sip.c.old	2005-03-02 18:38:27.000000000 +0100
+++ chan_sip.c	2005-09-21 14:20:27.000000000 +0200
@@ -1707,6 +1707,15 @@
 		return 0;
 	}
 	ast_mutex_lock(&p->lock);
+	/* Go ahead and free RTP port. Bugfix #3986 */
+	if (p->rtp) {
+		ast_rtp_destroy(p->rtp);
+		p->rtp = NULL;
+	}
+	if (p->vrtp) {
+		ast_rtp_destroy(p->vrtp);
+		p->vrtp = NULL;
+	}	
 #ifdef OSP_SUPPORT
 	if ((p->osphandle > -1) && (ast->_state == AST_STATE_UP)) {
 		ast_osp_terminate(p->osphandle, AST_CAUSE_NORMAL, p->ospstart, time(NULL) - p->ospstart);
